module HmacSignature
	module Strategy
		module Params
			class Request < HmacSignature::Request
				def initialize method, path, params={}
					credentials = HmacSignature::Credentials.from_params params
					params_with_auth_removed = params.reject{|k,v| k.match HmacSignature::Credentials::PARAM_CREDENTIAL_REGEX }
					super method, path, params_with_auth_removed, credentials
				end

				def sign token, expires_in=600
					credentials = super(token, expires_in)
					credentials.to_hash
				end
			end
		end
	end
end